<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
//loadJS('jquery-validate');
//loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_tetrazolio');
$finalidade=$sessao->getVar('finalidade');
//atribuir sessao=2R  POIS ESTE MODULO VAI TRABALHAR COM 2 REPETICOES
$sessao->setVar('parametroDimi','4R');
$rotuloVerde="Verdes";
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela finalidade=$finalidade  Ano amostra=$anoAmostra<br>");
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
		if($finalidade=="DEFINITIVA"):
            $ultima=$resAmostra->fic_amostra;
		else:
            $ultima=$resAmostra->fic_amostra_previa;
		endif;
			
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}



$userAmostra = new amostras();
$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
$userAmostra->selecionaCampos($userAmostra);
while ($resAmostra = $userAmostra->retornaDados()):
    $amostraLong=$resAmostra->fic_id;
    $idCultivar=$resAmostra->fic_cultivar;
    $idProdutor=$resAmostra->fic_produtor;
    $ultima=$resAmostra->fic_amostra;
	if($finalidade=="DEFINITIVA"):
 	   $amostra=$resAmostra->fic_amostra;
	else:
 	   $amostra=$resAmostra->fic_amostra_previa;
	   //$amostra="xxxx";
	endif;	
	$lote=$resAmostra->fic_lote;
endwhile;		



switch ($tela):
     case 'editar':
        //modex é TZ1 OU TZ2_4R
	    $modex=$_GET['modo'];
		
		//echo("modex=$modex<br>");
		$sessao->setVar('controle2',$modex);
		/////////////////////////////////////
		//aqui verifica se tem o registro de tzo e se nao tem ja cria na hora
		
		$user = new rean1();
		$user->extras_select = " WHERE  rea_teste='TZO' and  rea_ficha=".$amostraLong;
		$user->selecionaTudo($user);
		
		//echo("87  esta tentando salvar   $user->extras_select <br>");
		$registros=$user->linhasafetadas;
		//SE NAO TEM UM REGISTRO DE TZO AINDA NA AMOSTRA ENTAO CRIA UMM
		//AQUI VI CRIAR UM REGISTRO, ESEPECIALMENTE PARA O CASO DE TETRAZOLIO TRANSPOR FICHA
		if($registros<1):
		   $generica1=new tabelagenerica(); 
		   $sqlt="insert into rean1 (rea_teste,rea_ficha,rea_v1,rea_v2,rea_campo100,rea_lei4,rea_duracao)";
		   $sqlt.="values('TZO','$amostraLong','-N-','-N-','-N-','$modex','$modalidadeArquivada')";
		   $generica1->grava_registro_com_retorno($sqlt); 
           printMSG('Criou um registro para TZO nesta amostra, na modalidade '.$modex ,'alerta');
		endif;		
		/////////////////////////////////
		$repeticao=$_POST['campoRepeticao'];
		if($epeticao<1)$repeticao=1;
 		if(isset($_POST['b_troca-'])):
		  $repeticao=$_POST['campoRepeticao'];
		  if($repeticao>1)$repeticao--;
		endif;
 		if(isset($_POST['b_troca+'])):
		  $repeticao=$_POST['campoRepeticao'];
		  if($repeticao<4)$repeticao++;
		endif;




			 //////ENXERTO BOTAO FECHAR E REABIR//////////
	 		if(isset($_POST['fechar'])):
			  if(isset($_POST['cb_fechar'])):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='s' where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           printMSG('Esta amostra foi fechada e so podera ser reaberta se entrar com uma senha de administrador. Ok. Gravação normal.' ,'alerta');	
			   else:
			   		printMSG('Não houve fechamento, porque antes precisa  marcar SIM. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao fechar
			
			if(isset($_POST['reabre'])):
			  $master=$sessao->getVar('master');
			  //echo("nomeTeste= $nomeTeste master  $master<br>");
			  if($master=='s'):
	    		   //GRAVA AS LEITURAS DiRETO NA REAN
				   $sql="update rean1 set rea_finalizada='n' where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
  	 	           $generica=new tabelagenerica();
				   $generica->grava_registro_com_retorno($sql); 
		           printMSG('Teste foi reaberto! Ok. Gravação normal.' ,'alerta');
				   //grava ocorrencia
				   $finalidade="Reabrir TZO";
	               $valor='-O-';				   
				   //$objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,$finalidade,$valor,$idLabo);
				   //printMSG('Gravou Ok. Gravou também uma ocorrência.' ,'alerta');	
	
			   else:
			   		printMSG('Para reabrir este teste, desta amostra, precisa entrar no programa com a senha do ADMINISTRADOR. ' ,'alerta');
			   endif;//confirma se clicou em sim		
			endif;//isset do botao REABRIR
	 
	 //FIM DO ENXERTO///////////
		
		
		
		
		
	
		//o botao duplo 1 era chamado reagindo ao enter
		if (isset($_POST['duplo1_1']) || isset($_POST['duplo1_2'])):
            echo("Box danos direto relatório especial diagnose.(Sistema traz os dados do calculo de tz. Edite se precisar e SALVAR. <br>");
            echo '<iframe src="informaDanoDuplo.php" style="border:5px dotted red" width="110%" height="280"></iframe>';	 //funciona  
        endif;
		
	 	if (isset($_POST['acharDigitada']) || isset($_POST['acharAvanca'])  || isset($_POST['acharRecua']) || isset($_POST['acharUltima'])):
			   	$registro=$_POST["amostra"];//se clica em achar digitada ja pega daqui
              	if(isset($_POST['acharAvanca']))$acao='avanca';
              	if(isset($_POST['acharRecua']))$acao='recua';
              	if(isset($_POST['acharUltima']))$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
				/////VAI ACHAR O MODEX
                $modex="NENHUM";
				$user = new rean1();
				$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
			    $user->selecionaTudo($user);
				while($res = $user->retornaDados()):
				    $modex=$res->rea_lei4;
			    endwhile;		
				if($modex=="NENHUM"):
				      printMSG('Esta amostra nao tem opção de tetrazolio. Acesse a tela onde define o modo de entrada de dados. <a href="?m=Tetrazolio_distribuicao&t=editar">Acesso a tela </a>');
					  
				endif;	
				if($modex=="TZ3"):
				      printMSG('Esta amostra esta definida para FORRAGEIRAS.  <a href="?m=Tetrazolio_distribuicao&t=editar">Acesso a tela FORRAGEIRAS </a>');
				endif;	
					
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima
        //echo("mmmm   modex=$modex<br>");  
		
if($modex=="TZ1" || $modex=='TZ2_4R'):		
		
		
		
	    $controleEntrada="universal";
	    //vai encher o combo da repeticao 1/////////////////
		//ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="tetrazolio";
		$generica->campos_valores = array(
				"tet_danos" => NULL,
				"tet_nivel" => NULL,
				"tet_id" => NULL,
			);
	    //$repeticao=1;		
		$generica->extras_select =" where tet_repeticao=".$repeticao." &&  tet_amostra=" . $amostraLong;
	    $generica->selecionaCampos($generica);
        $registrosCB1=0;
		while ($resgenerica = $generica->retornaDados()):
            $registrosCB1++;
  		    $matrizCombo1[$registrosCB1]=$resgenerica->tet_id."]".$resgenerica->tet_nivel.$resgenerica->tet_danos;
		endwhile;
  
		//ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="tetrazolio";
		$generica->campos_valores = array(
				"tet_danos" => NULL,
				"tet_nivel" => NULL,
				"tet_id" => NULL,
			);
	    //$repeticao=2;		
		$generica->extras_select =" where  tet_repeticao=".$repeticao." &&  tet_amostra=" . $amostraLong;
		//echo("kkkkkkkkextraselect $generica->extras_select");
		
	    $generica->selecionaCampos($generica);
        $registrosCB2=0;
		while ($resgenerica = $generica->retornaDados()):
            $registrosCB2++;
  		    $matrizCombo2[$registrosCB2]=$resgenerica->tet_id."]".$resgenerica->tet_nivel.$resgenerica->tet_danos;
		endwhile;




		//////vai pegar a modalidade arquivada///////////
    $user = new rean1();
	$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
    $user->selecionaTudo($user);
	$res = $user->retornaDados();
	$reaOperador=$res->rea_operador;
	$dataTeste=date("d/m/Y",strtotime($res->rea_datageralteste));
	$concentracao=$res->rea_validade;
    $temperatura=$res->rea_campo20a;
    $tipoPre=$res->rea_campo20b;
    $inicioPre=$res->rea_datainicio;
    $finalPre=$res->rea_campo60c;
    $inicioLeit=$res->rea_v5;
    $finalLeit=$res->rea_v6;
	$modalidadeArquivada=$res->rea_duracao;
	$modalidadeArquivada='2X50';//neste formnulario a modalidade esta engessada em 2x50
	$finalizada=$res->rea_finalizada;
	if($modalidadeArquivada=='2X50'):
	   // echo("eeeeeeeeemmmmmmmmmmmmmodalidadeArquivada= $modalidadeArquivada<br>");
	    $cheque8='checked';
		$multiplicador=2;
		$alerta100="";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
		//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
	elseif($modalidadeArquivada=='2X100'):
	    $cheque9='checked';
	    $multiplicador=1;
		$alerta100="A representação será dobrada, ou seja cada representação vale por 2, por falta de espaço.";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
		//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
	else:
	    //se for usado 1x50 vai entao multiplicar por 4 somar com a segunda repeticao zerada e dividir por 2
		$comandoTrocaRepeticao="disabled";//quando faz 1 de 50  1x50      nao pode passr para repeticao 2 SE O CARA VACALHAR ENTAO zidane, mas sinstrução esta na tela para denfinir logo a modalidae	se vai ser 1x50  ou 2x50  ou eventualmente 2x100(pouco usado)
	    $multiplicador=4;
		$cheque7='checked';
	endif;		
////////////////////////
	 
        //echo (" esta no editar, do tetrazolio.php xxxxxxxxxxxxxexplicido= $explodido<br>");
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"fic_amostra_previa" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			if($finalidade=="DEFINITIVA"):
 	            $amostra=$resgenerica->fic_amostra;
	        else:
 	            $amostra=$resgenerica->fic_amostra_previa;
				//$amostra="nnn".resgenerica->fic_amostra_previa;
	        endif;	
			//$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;
  	    //echo("eeeeeeeeeeeeeeeeespecie= $especie<br>"); 
 
$limiteLinhas=7;
$limiteColunas=61;//estava 55
$executaBasico="SIM";
$tipo=$_POST["tipo"];
//troca a repeticao de repeticao 1 para 2  evice-versa
//troca modalidade  pode ser 2x50(mais comum)  2x100 (mapa)   1x50 alternativa de uberlandia
if(isset($_POST['auxiliares'])):
         $sessao->setVar('controle','basico');
		 echo '<iframe src="tetrazolio_comandos_auxiliares.php" style="border:0" width="70%" height="170"></iframe>';	 //funciona  
endif;

if(isset($_POST['manual'])):
   //echo("mmmmmmmmmmmodex=$modex<br>");
   if($modex=="TZ1"):     
	 echo '<iframe src="manual2010.php?opcaoManual=tetrazolioTZ1" style="border:0" width="100%" height="350"></iframe>';//funciona
   else:
	 echo '<iframe src="manual2010.php?opcaoManual=tetrazolioTZ2_4R" style="border:0" width="100%" height="350"></iframe>';//funciona
   endif;			   
endif;	

if(isset($_POST['imprimir1'])):
		 echo '<iframe src="imprimefichatetrasoja.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
endif;
//vai ter modelo basico,rondonopolis,syngenta,3 pinheiros.........
if(isset($_POST['imprimir2'])):
         $sessao->setVar('controle','basico');
		 echo '<iframe src="imprimelaudotetrasoja.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
endif;
if(isset($_POST['imprimir3'])):
         $sessao->setVar('controle','completo');
		 echo '<iframe src="imprimelaudotetrasoja.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
endif;
if(isset($_POST['imprimir4'])):
         $sessao->setVar('controle','unisystem');
		 echo '<iframe src="imprimelaudotetrasoja.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
endif;
if(isset($_POST['imprimir5'])):
         $sessao->setVar('controle','syngenta');
		 echo '<iframe src="imprimelaudotetrasoja.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
endif;

if(isset($_POST['imprimir6'])):
         $sessao->setVar('controle','3pinheiros');
		 echo '<iframe src="imprimelaudotetrasoja.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
endif;
if(isset($_POST['imprimir_habitual'])):
	     $sessao->setVar('controle',$valorDeful);
		 echo '<iframe src="imprimelaudotetrasoja.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
endif;

if(isset($_POST['bt_imprimirDCA'])):
	     $vias=$_POST['vias'];
		 $sessao->setVar('controle1',$vias);
		 $sessao->setVar('controle',$valorDeful);
		 //echo $vias;
		 echo '<iframe src="imprimelaudotetrasojaDimicron.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
endif;

if(isset($_POST['bt_imprimirDCAG'])):
	     $vias=$_POST['vias'];
		 $sessao->setVar('controle1',$vias);
		 $sessao->setVar('controle',$valorDeful);
		 //$cliente='DIMICRON';
		 //echo $vias;
		 if(substr($cliente,0,8)=='DIMICRON'):
		    echo '<iframe src="imprimelaudotetrasojaDimicronPizzaPHPLOTFinal.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona 
		 else:
		    echo '<iframe src="imprimelaudotetrasojaDimicronPizzaPHPLOT.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona 
		 endif;	 
endif;






//aqui vai detectar se é para trabalhar com 100 ou 200 sementes
//e tambem vai criar um registro de tz caso ainda nao exista um vinculado a esta amostra hihihi
//o valor 8 é para 2 x 50  e o valor 9 é para 2x100
//vou criar um botao para 1x50  vou atribuir o valor 7


//vai trocar a modalidade de 2x50  para 2x100
//$modalidade=captura_registros_generico1($sqlTetrazolio,'tet_repeticao');


	

$registros=$_POST["registros"];
$mensagem="";

//echo("tipo111111111 $tipo<br>") ;

//aqui a rotina criada para o tetrazolio 2 desenvolvido dia 08/11/13
//vou usar o mesmo botao gravar so que ele vai detectar se eu coloquei um * antes é porque é para deletar
//vai detectar se coloquei um asterisco antes que significa deletar, se for a operacao sera DELETAR, se nao tem asterisco a operacao é INCLUIR

if(isset($_POST['bt_gravarR1']) || isset($_POST['bt_gravarR2'])):
   $vaiGravar='SIM';
   $controleEntrada="gravarDanos";
   //$conteudo=$_POST['conteudo'];
   if(isset($_POST['bt_gravarR1'])):
        //$repeticao=1;
        $conteudo=$_POST['conteudo'];
   endif;		
		
   if(isset($_POST['bt_gravarR2'])):
      //$repeticao=2;
	  $conteudo=$_POST['conteudo2'];
   endif; 
   
   //dependendo do que digitou ele vai gravar, pois normalmente o campo fica em branco
   if($_POST['conteudo']!=''):
        //$repeticao=1;
        $conteudo=$_POST['conteudo'];
   endif;
   if($_POST['conteudo2']!=''):
        //$repeticao=2;
        $conteudo=$_POST['conteudo2'];
   endif;
   //dependendo de qual repeticao vai dar o foco   
   if($repeticao==1):
     $autofocado1="autofocus";
     $autofocado2="";
   else:   
     $autofocado2="autofocus";
     $autofocado1="";
   endif;    	  
   //echo $conteudo;
    ////////////////
    //primeiro vai fazer umas checagens por exemplo nao nao pode colocar dano secudario num nivel se nao tem dano primario e outros absurdos assim	 
	//echo("acionou o sugravar<br>");

    $conteudo=strtoupper($conteudo);
   	//testa se foi digitado algo
	if($conteudo!=""):
       if(substr($conteudo,0,1)=='*'):
	      $operacao="EXCLUIR";
		  $ide=substr($conteudo,1);
		  //$conteudo=substr($conteudo,1);
	   else:
	      $operacao="INSERIR";
	   endif;
	   //aqui vai testar se ja chegou ao fim
	  $numeroLancamentos=1+$_POST['numeroLancamentos'];
	  
	  if($_POST['radiomodalidade']=='2X50')  $limiteLancamentos=50;   
	  if($_POST['radiomodalidade']=='2X100') $limiteLancamentos=100;
	  if($_POST['radiomodalidade']=='1X50')  $limiteLancamentos=50;

	  if($numeroLancamentos>$limiteLancamentos):
	     $operacao="NENHUMA";
	     printMSG('Cuidado!  Não pode exceder o limite de '.$limiteLancamentos. ' lançamentos!' ,'alerta');
	  endif;
	   $danos1=substr($conteudo,0,1);
	   //echo("****KKK1******primeiro caracter $primeiroCaracter   danos1= $danos1<br> ");
	   $danos2=substr($conteudo,2,1);
	   $danos3=substr($conteudo,3,1);
       if($danos1==".")$danos1="P";
       if($danos1=="-")$danos1="M";
       if($danos1=="+")$danos1="U";
       if($danos2==".")$danos2="P";
       if($danos2=="-")$danos2="M";
       if($danos2=="+")$danos2="U";
       if($danos3==".")$danos3="P";
       if($danos3=="-")$danos3="M";
       if($danos3=="+")$danos3="U";
	   
       $danos=$danos1.$danos2.$danos3;
	   $nivel=substr($conteudo,1,1);
	   if($danos1=='D')$nivel=4;
	   if($danos1=='V')$nivel=8;
	   $danosLegenda=$danos1.$nivel.$danos2.$danos3;

       //aqui avisa se a pessoa digitou errado colocando numero no inicio
	   $primeiroCaracter=substr($danos1,0,1);
	   $segundoCaracter=substr($conteudo,1,1);
	   if($danos1=='E'):
	      $nivel=8;
		  $segundoCaracter="8";
	   endif;	  



	   $valorSegundo=1 * $segundoCaracter;
	   if($valorSegundo==0):
	      printMSG('Cuidado!  O segundo caracter precisa ser a letra indicativa do dano por exemplo M,U ou P. Digite por exemplo M3 seguido ou nao das letras dos danos secundarios exemplo M3U ou M3UP, com excessao de sementes duras(D) ou verdes(v) ou dano embrionário(E). e fizer um lançamento errado pode deletar digitando um asterisco seguido do código que aparece antes do colchete, no combo ao lado de GRAVAR DANOS. Leia também o texto de ajuda.' ,'alerta'); 
		  $vaiGravar='NAO';
	   endif;   
       	   
       //aqui avisa se a pessoa digitou uma letra imprevista no inicio
	   $primeiroCaracter=substr($danos1,0,1);
       //echo("****KKK******primeiro caracter $primeiroCaracter   danos1= $danos1<br> ");
	   
	   
	   
	   if($primeiroCaracter!='M' && $primeiroCaracter!='U' &&  $primeiroCaracter!='P' &&  $primeiroCaracter!='V' &&  $primeiroCaracter!='D' &&  $primeiroCaracter!='E'  &&  $primeiroCaracter!='R'  &&  $primeiroCaracter!='*'):
	   
	      //echo("**********primeiro caracter $primeiroCaracter<br> ");
	      printMSG('Cuidado!!  O  primeiro caracter deve ser o dano e as possibilidades sao M,U,P,D,V,E.  Se fizer um lançamento errado pode deletar digitando um asterisco seguido do código que aparece antes do colchete, no combo ao lado de GRAVAR DANOS. Leia também o texto de ajuda.' ,'alerta');
		  $vaiGravar='NAO';
	   endif;   

	   //primeiro testa se por acaso foi tentado excluir colocando um sinal de menos 
       if($operacao=='EXCLUIR'):
	      //$conteudo=$_POST['conteudo'];
          //$conteudo=strtoupper($conteudo);
	   
          //echo ("fofofofofofofofofo $conteudo");
          //$ide=substr($conteudo,1);
		   //aqui busca e deleta o registro na tabela
		   	$generica=new tabelagenerica();
 			$sql="delete from tetrazolio where tet_repeticao='".$repeticao."' and tet_id=" .$ide."  and tet_amostra=".$amostraLong;
		    //echo("SQL=$sql<br>");
			$quantos=$generica->grava_registro_com_retorno($sql);

            if($quantos>0):
			   printMSG('Foi eliminado um dano: '. $conteudo,'alerta');
			else:
			   printMSG('Nada foi eliminado na repetição '.$repeticao.'. Digite novamente o numero que aparece antes do COLCHETE '. $conteudo,'alerta');
			endif;   
			   
			   
	   endif;//testa se operacao=EXCLUIR
	   

	   	  	  
       //echo("operacao=$operacao amostraLong=$amostraLong  danos=$danos  nivel=$nivel repeticao=$repeticao limiteLancamentos=$limiteLancamentos<br>");


       if($operacao=='INSERIR' && $vaiGravar=='SIM'):
		   //aqui insere o registro na tabela
		    $danos=substr($danos,0,4);//o max leng é 9 mas nao posso liberar para mais que 4 caracteres exemplo   P5MP
		   	$generica=new tabelagenerica();
			$sql="insert into tetrazolio (tet_amostra,tet_danos,tet_nivel,tet_repeticao) values('$amostraLong','$danos','$nivel','$repeticao')";
		    $generica->grava_registro_com_retorno($sql);
			printMSG('Gravação Ok na repetição'. $repeticao.'. Aviso importante: Depois de lançar todos dados, clique em GRAVAR GERAL, para que o computador realmente calcule a planilha.' ,'aviso');
		    //echo("xxxxxxxyyyyxxxxxxxxxxxxxxxxxxconteudo=$conteudo  sql=$sql<br>");
		   /////////////
       endif;//verifica se o primeiro caracter é sinal de menos que indica que é para eliminar registro
	endif;//testou se foi digitado algo dentro do campo text
/////////////////
endif;//fecha o bt_gravarR1 E R2 relativo a repeticao 1








//aqui vai fazer a conversao da tabela tetrazolio para o visual
if($controleEntrada=="gravarDanos"):
	//REPETICAO 1-->aqui vai popular a tabela visivel, a partir dos dados gravados fazendo a conversao entre tz1 e TZ2_4R 
	$Am2=0;//A=REPETICAO1   M=MECANICO    2 NIVEL
	$Am3=0;
	$Am4=0;
	$Am5=0;
	$Am6=0;
	$Akm=0;
	$Au2=0;
	$Au3=0;
	$Au4=0;
	$Au5=0;
	$Au6=0;
	$Aku=0;
	$Ap2=0;
	$Ap3=0;
	$Ap4=0;
	$Ap5=0;
	$Ap6=0;
	$Akp=0;
	$Ac2=0;
	$Ac3=0;
	$Ac4=0;
	$Ac5=0;
	$Ac6=0;
	$Amup2=0;
	$Amup3=0;
	$Amup4=0;
	$Amup5=0;
	$Amup6=0;
	//campos especiais
	$Aduras=0;
	$Ar3=0;
	$Averde=0;//serve para semente verde e embrionaria



		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
		$generica->tabela="tetrazolio";
		$generica->campos_valores = array(
				"tet_danos" => NULL,
				"tet_nivel" => NULL,
				"tet_id" => NULL,
			);
	    //$repeticao=1;		
		$generica->extras_select =" where  tet_repeticao=".$repeticao." &&  tet_amostra=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		$registrosCB1=0;
		$dano="";
	    $nivel=0;	
		while ($resgenerica = $generica->retornaDados()):
		    $registrosCB1++;
			$danos=$resgenerica->tet_danos;
			$nivel=$resgenerica->tet_nivel;
			//echo $generica->extras_select. $danos;
			
	  		$matrizCombo1[$registrosCB1]=$resgenerica->tet_id.']'.$resgenerica->tet_nivel.$danos;	

	        //captura danos secundarios joga no 1 a 8
			$tamanhoDano=strlen($danos);
	        //se o tamnaho for 1 ele logo acha, se for 2 ele pega a segunda string se for 3 pega a terceira 
			
			//DANO =M  TAMANHO 1  DANO MU=TAMANHO 2  DANO TRIPLO  TAAMNAHO 3
			for($tamanho=1;$tamanho<=$tamanhoDano;$tamanho++):
	            $danoCapturado=substr($danos,$tamanho-1,1); 
		        if($nivel==2 && $danoCapturado=='M')$Am2++;
		        if($nivel==3 && $danoCapturado=='M')$Am3++;
		        if($nivel==4 && $danoCapturado=='M')$Am4++;
		        if($nivel==5 && $danoCapturado=='M')$Am5++;
		        if($nivel>=6 && $danoCapturado=='M')$Am6++;

		        if($nivel==2 && $danoCapturado=='U')$Au2++;
		        if($nivel==3 && $danoCapturado=='U')$Au3++;
		        if($nivel==4 && $danoCapturado=='U')$Au4++;
		        if($nivel==5 && $danoCapturado=='U')$Au5++;
		        if($nivel>=6 && $danoCapturado=='U')$Au6++;

		        if($nivel==2 && $danoCapturado=='P')$Ap2++;
		        if($nivel==3 && $danoCapturado=='P')$Ap3++;
		        if($nivel==4 && $danoCapturado=='P')$Ap4++;
		        if($nivel==5 && $danoCapturado=='P')$Ap5++;
		        if($nivel>=6 && $danoCapturado=='P')$Ap6++;


	        endfor;  

	        //conta os mup
			if($nivel==2 && $tamanhoDano==3)$Amup2++;
			if($nivel==3 && $tamanhoDano==3)$Amup3++;
			if($nivel==4 && $tamanhoDano==3)$Amup4++;
			if($nivel==5 && $tamanhoDano==3)$Amup5++;
			if($nivel>=6 && $tamanhoDano==3)$Amup6++;
	  
	        //somar os danos nas classes
	        if($nivel==2)$Ac2++;
	        if($nivel==3)$Ac3++;
	        if($nivel==4)$Ac4++;
	        if($nivel==5)$Ac5++;
	        if($nivel>=6)$Ac6++;

	        //o que matou
	        //if($nivel>=6 && $danos=='M')$Akm++;
	        //if($nivel>=6 && $danos=='U')$Aku++;
	        //if($nivel>=6 && $danos=='P')$Akp++;

	        //o que matou em dano secundario(captura a primeira letra)
	        if($nivel>=6):
	           $primeiraLetra=substr($danos,0,1);
	           if($primeiraLetra=='M')$Akm++;
	           if($primeiraLetra=='U')$Aku++;
	           if($primeiraLetra=='P')$Akp++;
	        endif;
			
			//danos especiais Bduras,Br3,Bverde
			$primeiraLetra=substr($danos,0,1);
	        if($primeiraLetra=='D')$Aduras++;
	        if($primeiraLetra=='V' || $primeiraLetra=='E' ):
			    $Averde++;
		    endif;		
	        if($primeiraLetra=='R')$Ar3++;
	endwhile;

	//REPETICAO 2-->aqui vai popular a tabela visivel, a partir dos dados gravados fazendo a conversao entre tz1 e TZ2_4R 

		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
		$generica->tabela="tetrazolio";
		$generica->campos_valores = array(
				"tet_danos" => NULL,
				"tet_nivel" => NULL,
				"tet_id" => NULL,
			);
	    //$repeticao=2;		
		$generica->extras_select =" where  tet_repeticao=".$repeticao." &&  tet_amostra=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		$registrosCB2=0;
		$dano="";
	    $nivel=0;

		
		
		
		
			
		while ($resgenerica = $generica->retornaDados()):
		    $registrosCB2++;
			$danos=$resgenerica->tet_danos;
			$nivel=$resgenerica->tet_nivel;
	  		$matrizCombo2[$registrosCB2]=$resgenerica->tet_id."]".$resgenerica->tet_nivel.$danos;	

	        //captura danos secundarios joga no 1 a 8
			$tamanhoDano=strlen($danos);
	        //se o tamnaho for 1 ele logo acha, se for 2 ele pega a segunda string se for 3 pega a terceira 
			
			//DANO =M  TAMANHO 1  DANO MU=TAMANHO 2  DANO MUP  TAAMNAHO 3
			for($tamanho=1;$tamanho<=$tamanhoDano;$tamanho++):
	            $danoCapturado=substr($danos,$tamanho-1,1); 
		        if($nivel==2 && $danoCapturado=='M')$Bm2++;
		        if($nivel==3 && $danoCapturado=='M')$Bm3++;
		        if($nivel==4 && $danoCapturado=='M')$Bm4++;
		        if($nivel==5 && $danoCapturado=='M')$Bm5++;
		        if($nivel>=6 && $danoCapturado=='M')$Bm6++;

		        if($nivel==2 && $danoCapturado=='U')$Bu2++;
		        if($nivel==3 && $danoCapturado=='U')$Bu3++;
		        if($nivel==4 && $danoCapturado=='U')$Bu4++;
		        if($nivel==5 && $danoCapturado=='U')$Bu5++;
		        if($nivel>=6 && $danoCapturado=='U')$Bu6++;

		        if($nivel==2 && $danoCapturado=='P')$Bp2++;
		        if($nivel==3 && $danoCapturado=='P')$Bp3++;
		        if($nivel==4 && $danoCapturado=='P')$Bp4++;
		        if($nivel==5 && $danoCapturado=='P')$Bp5++;
		        if($nivel>=6 && $danoCapturado=='P')$Bp6++;
	        endfor;  

	        //conta os mup
			if($nivel==2 && $tamanhoDano==3)$Bmup2++;
			if($nivel==3 && $tamanhoDano==3)$Bmup3++;
			if($nivel==4 && $tamanhoDano==3)$Bmup4++;
			if($nivel==5 && $tamanhoDano==3)$Bmup5++;
			if($nivel>=6 && $tamanhoDano==3)$Bmup6++;
	  
	        //somar os danos nas classes
	        if($nivel==2)$Bc2++;
	        if($nivel==3)$Bc3++;
	        if($nivel==4)$Bc4++;
	        if($nivel==5)$Bc5++;
	        if($nivel>=6)$Bc6++;

	        //o que matou
	        //if($nivel>=6 && $danos=='M')$Bkm++;
	        //if($nivel>=6 && $danos=='U')$Bku++;
	        //if($nivel>=6 && $danos=='P')$Bkp++;

	        //o que matou em dano secundario(captura a primeira letra)
	        if($nivel>=6):
	           $primeiraLetra=substr($danos,0,1);
	           if($primeiraLetra=='M')$Bkm++;
	           if($primeiraLetra=='U')$Bku++;
	           if($primeiraLetra=='P')$Bkp++;
	        endif;
			
			//danos especiais Bduras,Br3,Bverde
			$primeiraLetra=substr($danos,0,1);
	        if($primeiraLetra=='D')$Bduras++;
	        if($primeiraLetra=='V' || $primeiraLetra=='E' ):
			    $Bverde++;
		    endif;		
	        if($primeiraLetra=='R')$Br3++;
	endwhile;
endif;//aqui fecha isset controleEntrada





//consolidar vai gravar tudo, ou sej repeticao 1 e repeticao 2 igualzinho o tetrazolio3 
//daqui para frente fica tudo igual
if(isset($_POST['bt_gravarGeral'])):
  $repeticao=$_POST['campoRepeticao'];
  $modex=$_POST['modex'];
   // if($_POST['radiomodalidade']=='2x50')  $modalidadeArquivada="8";   
    //'' if($_POST['radiomodalidade']=='2x100') $modalidadeArquivada="9";   
    //'' if($_POST['radiomodalidade']=='1x50')  $modalidadeArquivada="7";   
  $modalidadeArquivada=$_POST['radiomodalidade'];
  //echo("esta no sugravar modalidadeArquivada= $modalidadeArquivada <br>");
  //captura os tipos de danos REPETICAO A
  $Am2=$_POST['Am2'];//repeticao A , mecannic nivel 2
  $Am3=$_POST['Am3'];//repeticao A , mecannic nivel 3
  $Am4=$_POST['Am4'];//repeticao A , mecannic nivel 4
  $Am5=$_POST['Am5'];//repeticao A , mecannic nivel 5
  $Am6=$_POST['Am6'];//repeticao A , mecannic nivel 6
  $Akm=$_POST['Akm'];//quANTOS MECANICOS QUE MATOU

  $Au2=$_POST['Au2'];
  $Au3=$_POST['Au3'];
  $Au4=$_POST['Au4'];
  $Au5=$_POST['Au5'];
  $Au6=$_POST['Au6'];
  $Aku=$_POST['Aku'];

  $Ap2=$_POST['Ap2'];
  $Ap3=$_POST['Ap3'];
  $Ap4=$_POST['Ap4'];
  $Ap5=$_POST['Ap5'];
  $Ap6=$_POST['Ap6'];
  $Akp=$_POST['Akp'];

  //captura os niveis
  $Ac2=$_POST['Ac2'];
  $Ac3=$_POST['Ac3'];
  $Ac4=$_POST['Ac4'];
  $Ac5=$_POST['Ac5'];
  $Ac6=$_POST['Ac6'];

  //captura os MUP
  $Amup2=$_POST['Amup2'];
  $Amup3=$_POST['Amup3'];
  $Amup4=$_POST['Amup4'];
  $Amup5=$_POST['Amup5'];
  $Amup6=$_POST['Amup6'];



  //o final ou seja as r3, duras, latente etc
  $Aduras=$_POST['Aduras'];
  $Ar3=$_POST['Ar3'];
  $Aimi=$_POST['Aimi'];
  $Alat=$_POST['Alat'];
  $Averde=$_POST['Averde'];//verde foi feita para mykel sneider mas os outros usam embrionaria, deformacao genetica etc


  //o final ou seja as r3, duras, latente etc
  //$Bduras=$_POST['Bduras'];
  //$Br3=$_POST['Br3'];
  //$Bimi=$_POST['Bimi'];
  //$Blat=$_POST['Blat'];
  //$Bverde=$_POST['Bverde'];



//deve verificar se tem o registro
$nomeCortado=substr($nomeOperador,0,10);
$user = new rean1();
$user->extras_select = " WHERE  rea_teste='TZO' and  rea_ficha=".$amostraLong;
$user->selecionaTudo($user);
$registros=$user->linhasafetadas;



//SE NAO TEM UM REGISTRO DE TZO AINDA NA AMOSTRA ENTAO CRIA UMM
//AQUI VI CRIAR UM REGISTRO, ESEPECIALMENTE PARA O CASO DE TETRAZOLIO TRANSPOR FICHA

$hoje=date('Y-m-d');
if($registros<1):
   $generica1=new tabelagenerica(); 
   $sqlt="insert into rean1 (rea_teste,rea_ficha,rea_v1,rea_v2,rea_campo100,rea_lei4,rea_duracao,rea_datageralteste)";
   $sqlt.="values('TZO','$amostraLong','-N-','-N-','-N-','$modex','$modalidadeArquivada','$hoje')";
   $generica1->grava_registro_com_retorno($sqlt); 
endif;
	   //se ja tem o teste entao so atualiza
	   //GRAVA AS LEITURAS DiRETO NA REAN
	   //$Ar3=33;
       $kk='-O-';
	   //REPETICAO A  VAI NO COAMPO 60A   EXPLODIDO B VAI NO CAMPO 60B
       $explodidoA=             $Am2.'*'. $Am3.'*'. $Am4.'*'. $Am5.'*'. $Am6."*". $Akm."*";       
       $explodidoA=$explodidoA. $Au2.'*'. $Au3.'*'. $Au4.'*'. $Au5.'*'. $Au6."*". $Aku."*";  
	   $explodidoA=$explodidoA. $Ap2.'*'. $Ap3.'*'. $Ap4.'*'. $Ap5.'*'. $Ap6."*". $Akp."*";         
       $explodidoA=$explodidoA. $Ac2.'*'. $Ac3.'*'. $Ac4.'*'. $Ac5.'*'. $Ac6."*". $Akk."*";       
	   $explodidoA=$explodidoA. $Aduras.'*'. $Ar3.'*'. $Aimi.'*'. $Alat.'*'. $Averde."*";       
       $explodidoA=$explodidoA. $Amup2.'*'. $Amup3.'*'. $Amup4.'*'. $Amup5.'*'. $Amup6."*";
 
	   
	   $vigorConcatenado=$potencial.'/'.$vigor;
	   
	   
	   //vai validar a data geral
       $dataBrasil=$_POST['dataTeste'];
	   if(strlen($dataBrasil)==10):
	      $objetoValidacao=new validacao();
          //valida a data 
		  $retornoDataAmericana=$objetoValidacao->validaDataEntrada($dataBrasil);//esta data vai validar o ano e somente esta
	   endif;
	   
//vai gravar o campo rea_campo60a se for $repeticao=1 e vai gravar rea_campo60b se for $repeticao=2

if($repeticao==1):
    $sql="update rean1 set   rea_v1='$vigorConcatenado',rea_operador='$nomeCortado',rea_datageralteste='$retornoDataAmericana',rea_campo60c='$finalPre',
	   rea_campo60a='$explodidoA',rea_lei4='$modex',
	   rea_duracao='$modalidadeArquivada'  where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
	   //echo("sql co campo 60a=$sql<br>");   
	   
endif;

if($repeticao==2):
	   $sql="update rean1 set   rea_v1='$vigorConcatenado',rea_operador='$nomeCortado',rea_datageralteste='$retornoDataAmericana',rea_campo60c='$finalPre',
	   rea_campo60b='$explodidoA',rea_lei4='$modex',
	   rea_duracao='$modalidadeArquivada'  where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
endif;

if($repeticao==3):
    $sql="update rean1 set   rea_v1='$vigorConcatenado',rea_operador='$nomeCortado',rea_datageralteste='$retornoDataAmericana',rea_campo60c='$finalPre',
	   rea_primeira_leitura_analista='$explodidoA',rea_lei4='$modex',
	   rea_duracao='$modalidadeArquivada'  where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
endif;

if($repeticao==4):
    $sql="update rean1 set   rea_v1='$vigorConcatenado',rea_operador='$nomeCortado',rea_datageralteste='$retornoDataAmericana',rea_campo60c='$finalPre',
	   rea_segunda_leitura_analista='$explodidoA',rea_lei4='$modex',
	   rea_duracao='$modalidadeArquivada'  where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
endif;


//echo("repecicao=$repeticao sql= $sql<br>");



   
	   $generica=new tabelagenerica();
	   $generica->grava_registro_com_retorno($sql); 
	   
	   //printMSG($sql.$retornoDataAmericana.$dataBrasil.'Salvou todos dados inseridos!  Inclusive salvou o nome operador['. $nomeCortado.']que estava operando o programa, no momento da gravação. Evite entrar nesta tela e salvar novamente, sem necessidade.' ,'alerta');
	   
	   printMSG($dataAmericana.$dataBrasil.'Salvou todos dados inseridos!  Inclusive salvou o nome operador['. $nomeCortado.']que estava operando o programa, no momento da gravação. Evite entrar nesta tela e salvar novamente, sem necessidade.' ,'alerta');

	   //echo("ssssssssalvando edicao  $sql<br>");
	   //echo("EDITOU sql=$sql<br>");
	   $controleEntrada="universal";
endif;//fecha o botao bt_gravarGeral


if($controleEntrada=="universal"):
	//aqui vai ler os dados inclusice se recem gravou como no caso da modalidade arquivada
   //echo("esta no editar do tetrazzolio repeticao=$repeticao<br>");
	//acha o valor de rean 1 de qualquer maneira
	/////////////////////
	//echo("966  esta tentando salvar<br>");
    $user = new rean1();
	$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
    $user->selecionaTudo($user);
	$res = $user->retornaDados();
	$reaOperador=$res->rea_operador;
	$dataTeste=date("d/m/Y",strtotime($res->rea_datageralteste));
	$concentracao=$res->rea_validade;
    $temperatura=$res->rea_campo20a;
    $tipoPre=$res->rea_campo20b;
    $inicioPre=$res->rea_datainicio;
    $finalPre=$res->rea_campo60c;
    $inicioLeit=$res->rea_v5;
    $finalLeit=$res->rea_v6;
	$explodido=$res->rea_campo60a;
	$explodidoR2=$res->rea_campo60b;
	$explodidoR3=$res->rea_primeira_leitura_analista;
	$explodidoR4=$res->rea_segunda_leitura_analista;
	$modalidadeArquivada=$res->rea_duracao;
 			
    //list($Am2,$Am3,$Am4,$Am5,$Am6,$Akm,$Au2,$Au3,$Au4,$Au5,$Au6,$Aku,$Ap2,$Ap3,$Ap4,$Ap5,$Ap6,$Akp,$Ac2,$Ac3,$Ac4,$Ac5,$Ac6,$Akk,$Aduras,$Ar3,$Aimi,$Alat,$Averde,$Amup2,$Amup3,$Amup4,$Amup5,$Amup6)=explode("*",$explodido); 
	

 //CONVENCOES 
 //1=DANO MECANICO
 //2=DANO UMIDADE
 //3=DANO PERCEVEJO
 //AM2  A ERA A REPETICA    M=MECANICO=1   2=MIVEL 3
 //EXEMPLO  $matriz[1][2][3] = $Au3     --> A-->RepETICAO 1  2-->dano ummidade    3=nivel3
 



//    list($Bm2,$Bm3,$Bm4,$Bm5,$Bm6,$Bkm,$Bu2,$Bu3,$Bu4,$Bu5,$Bu6,$Bku,$Bp2,$Bp3,$Bp4,$Bp5,$Bp6,$Bkp,$Bc2,$Bc3,$Bc4,$Bc5,$Bc6,$Bkk,$Bduras,$Br3,$Bimi,$Blat,$Bverde,$Bmup2,$Bmup3,$Bmup4,$Bmup5,$Bmup6)=explode("*",$explodidoR2); 

if($repeticao==1)$conteudo=$explodido;
if($repeticao==2)$conteudo=$explodidoR2;
if($repeticao==3)$conteudo=$explodidoR3;
if($repeticao==4)$conteudo=$explodidoR4;
list($Am2,$Am3,$Am4,$Am5,$Am6,$Akm,$Au2,$Au3,$Au4,$Au5,$Au6,$Aku,$Ap2,$Ap3,$Ap4,$Ap5,$Ap6,$Akp,$Ac2,$Ac3,$Ac4,$Ac5,$Ac6,$Akk,$Aduras,$Ar3,$Aimi,$Alat,$Averde,$Amup2,$Amup3,$Amup4,$Amup5,$Amup6)=explode("*",$conteudo); 
//nivel 2
$matriz[$repeticao][1][2] =$Am2;  //
$matriz[$repeticao][2][2] =$Au2;  //
$matriz[$repeticao][3][2] =$Ap2;  //
$matriz[$repeticao][4][2] =$Ac2;  //
$matriz[$repeticao][5][2] =$Amup2;  //
//nivel 3
$matriz[$repeticao][1][3] =$Am3;  //
$matriz[$repeticao][2][3] =$Au3;  //
$matriz[$repeticao][3][3] =$Ap3;  //
$matriz[$repeticao][4][3] =$Ac3;  //
$matriz[$repeticao][5][3] =$Amup3;  //
//nivel 4
$matriz[$repeticao][1][4] =$Am4;  //
$matriz[$repeticao][2][4] =$Au4;  //
$matriz[$repeticao][3][4] =$Ap4;  //
$matriz[$repeticao][4][4] =$Ac4;  //
$matriz[$repeticao][5][4] =$Amup4;  //
//nivel 5
$matriz[$repeticao][1][5] =$Am5;  //
$matriz[$repeticao][2][5] =$Au5;  //
$matriz[$repeticao][3][5] =$Ap5;  //
$matriz[$repeticao][4][5] =$Ac5;  //
$matriz[$repeticao][5][5] =$Amup5;  //
//nivel 6
$matriz[$repeticao][1][6] =$Am6;  //
$matriz[$repeticao][2][6] =$Au6;  //
$matriz[$repeticao][3][6] =$Ap6;  //
$matriz[$repeticao][4][6] =$Ac6;  //
$matriz[$repeticao][5][6] =$Amup6;  //
//nivel 7
$matriz[$repeticao][1][7] =$Akm;  //
$matriz[$repeticao][2][7] =$Aku;  //
$matriz[$repeticao][3][7] =$Akp;  //

//cria um nivel 8 para jogar r3,imi,alat,verde
$matriz[$repeticao][1][8] =$Ar3;  //
$matriz[$repeticao][2][8] =$Aimi;  //
$matriz[$repeticao][3][8] =$Alat;  //
$matriz[$repeticao][4][8] =$Averde;  //



	//echo("mmmmmmmmmmmmmodalidadeArquivada= $modalidadeArquivada<br>");
	$cheque7='';
	$cheque8='';
	$cheque9='';
	$modalidadeArquivada='2X50';//esta engessado	
	if($modalidadeArquivada=='2X50'):
	   // echo("eeeeeeeeemmmmmmmmmmmmmodalidadeArquivada= $modalidadeArquivada<br>");
	    $cheque8='checked';
		$multiplicador=2;
		$alerta100="";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
		//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
	elseif($modalidadeArquivada=='2X100'):
	    $cheque9='checked';
	    $multiplicador=1;
		$alerta100="A representação será dobrada, ou seja cada representação vale por 2, por falta de espaço.";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
		//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
	else:
	    //se for usado 1x50 vai entao multiplicar por 4 somar com a segunda repeticao zerada e dividir por 2
		$comandoTrocaRepeticao="disabled";//quando faz 1 de 50  1x50      nao pode passr para repeticao 2 SE O CARA VACALHAR ENTAO zidane, mas sinstrução esta na tela para denfinir logo a modalidae	se vai ser 1x50  ou 2x50  ou eventualmente 2x100(pouco usado)
	    $multiplicador=4;
		$cheque7='checked';
	endif;
	
	//$modalidadeArquivada=='2X50';
	//$cheque8='checked';
	//$multiplicador=2;
	

	$objetocalculo=new calculos();
	$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	$registrosRep1=$matrizResumo[1][19];
	$registrosRep2=$matrizResumo[2][19];
	$potencial=$matrizResumo[3][10];
	$vigor=$matrizResumo[3][11];

	//nivel 1 repricoes 1 e 2
	$n1R1=$matrizResumo[1][15];
	$n1R2=$matrizResumo[2][15];
	//nivel 2 repricoes 1 e 2
	$n2R1=$matrizResumo[1][16];
	$n2R2=$matrizResumo[2][16];
	//nivel 3 repricoes 1 e 2
	$n3R1=$matrizResumo[1][17];
	$n3R2=$matrizResumo[2][17];
	//$vigor="coco";
	$totalex=$totalGeral;
	//final da gravacao na rean////////////////////////////////////
	$tamanhoGrade=330;
	//captura a opcao que esta sendo usada no calculo de vigor incluindo ou nao as r3
	 $user = new tabeladeful();
	$user->extras_select =" where   cod_lab=".$idLabo ;
	$user->selecionaTudo($user);
	$r3Duras='SIM';// 
	while ($res = $user->retornaDados()):
	    $r3Duras=$res->tz_r3_duras;//pode vir com valor =nao
	endwhile;
endif;//testa se o controle de entrada é universal

if($modex=="TZ1"):
   $legendaModex="Entrada semente por semente(Região cor CINZA ESCURO)";
else:
   $legendaModex="Entrada a partir da ficha(Região cor  TELHA)";
endif;
echo("<h3> CÁLCULO DE TETRAZÓLIO:".$legendaModex." Operador que gravou:". $reaOperador."</h3>");

if($repeticao==1)$legendaRepeticao="PRIMEIRA REPETIÇÃO";
if($repeticao==2)$legendaRepeticao="SEGUNDA REPETIÇÃO";
if($repeticao==3)$legendaRepeticao="TERCEIRA REPETIÇÃO";
if($repeticao==4)$legendaRepeticao="QUARTA REPETIÇÃO";


?>




 <form class="userform" method="POST" action="">   
                 
<!--<form name="formAmostra"  method="POST"  action="/php/paineladm/modulos/Tetrazolio3.php">!-->  

<input type="hidden" name="idAmostra" value="<?php echo($amostraLong)?>" size=2 />
<input type="hidden" name="tipo1" value=<?php echo $reanLong ?> size=5 />
<input type="hidden" size="1" name="registros" value="<?php echo($registros)?>" size="3" />
<input type="hidden" size="1" name="vigor" value="<?php echo($vigor)?>" size="3" />
<hr>


<!--  VAI TER UMA GRADE MAIOR QUE CONTERA 3 setores
SETOR ESQUERDO: DE DANOS PRINCICPAIS
SETOR MEDIANO:DE DANOS SECUNDARIOS 
SETOR DIREITA: ORIENTACAO
CADA SETOR VAI TER UMA GRADE EM CIMA PARA O TITULO E EMBAIXO O CONTEUDO PROPRIAMENTE DITO
PORTANTO CADA SETOR TERA DUAS GRADES
-->
<table  width="700">
<tr>
<td align="left"><h2><?php echo $legendaRepeticao;?></h2> </td>
<td>
<input type="submit" style="font-size: 180%"  style="font-family:Arial" style="height: 22px" name="b_troca-" value="<" />
ACESSAR
<input type="submit" style="font-size: 180%"  style="font-family:Arial" style="height: 22px" name="b_troca+" value=">"/>
<input type="text"  name="campoRepeticao"  size="1" readonly="readonly"  value="<?php echo $repeticao;?>" />
ª . REPETIÇÃO
</td>

</tr>
</table>


<table bgcolor="silver" width="800"><!--esta é a tabela mestra-->

<!---- esta é primeira REPETICAO  -->
<td><table bgcolor="#f49a64" width="350">
<tr>
<td align="center">CLASSE</td>
<td align="center">M</td>
<td align="center">U</td>
<td align="center">P</td>
<td align="center">Danificadas</td>
<td align="center">MUP</td>
<td align="center">N1=<?php echo $n1R1;?></td>

</tr>

<!--primeira linha de danos, sendo nu=ivel 2-->
<tr>
<td align="center">II</td>
<td align="center">
<input type="text" name="Am2" value="<?php echo $matriz[$repeticao][1][2];?>" size="1" /><!--mecanico nivel 2-->
</td>

<td align="center">
<input type="text" name="Au2" value="<?php echo $matriz[$repeticao][2][2];?>" size="1" /><!--umidade nivel 2-->
</td>

<td align="center">
<input type="text" name="Ap2" value="<?php echo $matriz[$repeticao][3][2];?>" size="1" /><!--percevejo nivel 2-->
</td>
<!--total no nivel-->
<td align="center">
<input type="text" name="Ac2" value="<?php echo $matriz[$repeticao][4][2];?>" size="1" /><!--total na classe 2-->
</td>

<td align="center">
<input type="text" name="Amup2" value="<?php echo $matriz[$repeticao][5][2];?>" size="1" /><!--mup no nivel 2-->
</td>


<td align="center">N2=<?php echo $matriz[$repeticao][6][2];?></td><!--//era o n2R1-->

</tr>

<tr>
<td align="center">III</td>

<td align="center">
<input type="text" name="Am3" value="<?php echo $matriz[$repeticao][1][3];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Au3" value="<?php echo $matriz[$repeticao][2][3];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Ap3" value="<?php echo $matriz[$repeticao][3][3];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Ac3" value="<?php echo $matriz[$repeticao][4][3];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Amup3" value="<?php echo $matriz[$repeticao][5][3];?>" size="1" />
</td>

<td align="center">N3=<?php echo $matriz[$repeticao][6][3];?></td>
</tr>







<tr>
<td align="center">IV</td>

<td align="center">
<input type="text" name="Am4" value="<?php echo $matriz[$repeticao][1][4];?>" size="1" />
</td>

<td align="center">
<input type="text" name="Au4" value="<?php echo $matriz[$repeticao][2][4];?>" size="1" />
</td>

<td align="center">
<input type="text" name="Ap4" value="<?php echo $matriz[$repeticao][3][4];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Ac4" value="<?php echo $matriz[$repeticao][4][4];?>" size="1"/>
</td>
<td align="center">
<input type="text" name="Amup4" value="<?php echo $matriz[$repeticao][5][4];?>" size="1" />
</td>


</tr>
<tr>
<td align="center">V</td>

<td align="center">
<input type="text" name="Am5" value="<?php echo $matriz[$repeticao][1][5];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Au5" value="<?php echo $matriz[$repeticao][2][5];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Ap5" value="<?php echo $matriz[$repeticao][3][5];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Ac5" value="<?php echo $matriz[$repeticao][4][5];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Amup5" value="<?php echo $matriz[$repeticao][5][5];?>" size="1" />
</td>

</tr>

<tr>
<td align="center">VI</td>
<td align="center">
<input type="text" name="Am6" value="<?php echo $matriz[$repeticao][1][6];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Au6" value="<?php echo $matriz[$repeticao][2][6];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Ap6" value="<?php echo $matriz[$repeticao][3][6];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Ac6" value="<?php echo $matriz[$repeticao][4][6];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Amup6" value="<?php echo $matriz[$repeticao][5][6];?>" size="1" />
</td>

</tr>

<tr>
<td bgcolor="red"  align="center">O que matou</td>
<td align="center">
<input type="text" name="Akm" value="<?php echo $matriz[$repeticao][1][7];?>" size="1"/><!--//era $akm-->
</td>

<td align="center">
<input type="text" name="Aku" value="<?php echo $matriz[$repeticao][2][7];?>" size="1"/>
</td>

<td align="center">
<input type="text" name="Akp" value="<?php echo $matriz[$repeticao][3][7];?>" size="1"/>
</td>

<td align="center">
<input type="text" name=" "  value="-"  readonly="readonly" size="1"/>
</td>

<!--
<td align="center">
<input type="submit" name="duplo1_1"  value="Duplo1"   size="1"/>
</td>
-->


</tr>
</table></td><!--fechamento da grade esquerda repeticao 1-->

<!--SEGUNDA GRADE -->
<!---- esta é primeira  -->
<td><table bgcolor="#a6a7b3" width="350">
<tr>
<td>
Imagem do teste de tetrazólio
</td>
</tr>



<!--IMAGEM PARA TESTAR-->
<tr>
<td>
<?php if($repeticao==1):?>
<img src="/semente2013/php/paineladm/Imagens/tetrazolio.jpg" width="318" height="180"  alt="Integral AgroNet" />
<?php endif;?>
<?php if($repeticao==2):?>
<img src="/semente2013/php/paineladm/Imagens/tetrazolio2.jpg" width="318" height="180"  alt="Integral AgroNet" />
<?php endif;?>
<?php if($repeticao==3):?>
<img src="/semente2013/php/paineladm/Imagens/tetrazolio3.jpg" width="318" height="180"  alt="Integral AgroNet" />
<?php endif;?>
<?php if($repeticao==4):?>
<img src="/semente2013/php/paineladm/Imagens/tetrazolio4.jpg" width="318" height="180"  alt="Integral AgroNet" />
<?php endif;?>
</td>
</tr>
<!--FIMM IMAGEM PARA TESTAR-->		












</table></td>
</table><!--fechamento da grade mestra,externa-->

<!--tabela da segunda repeticao--> 
 <td><table width="350" align="left"  bgcolor="#f49a64">
 <tr>	
<!--repeticao B-->
<td align="center">Duras
<input type="text" name="Aduras" maxlength="2"  size="1" value="<?php echo $Aduras;?>"  size="2" />
</td>
<td>R3
<input type="text" name="Ar3" maxlength="2" size="1"  value="<?php echo $Ar3;?>"  size="2" />
</td>

<td>
<?php echo  $rotuloVerde;?>
<input type="text" name="Averde" maxlength="2" size="1"  value="<?php echo $Averde;?>"  size="2" />
</td>

</tr>


</table></td>










<!--SO VAI MOSTRAR OS CAMPOS PARA REGISTRO DE UMA SEMENTE SE FOR MODEX=TZ1-->
<?php if($modex=='TZ1'):?>
<tr>
<td><table width="350" align="left"  bgcolor="#87f3cb">

<?php
//echo("rrrrrrrrrrrrrrepeticao= $repeticao<br>");
?>
<tr>
<td>Danos-->
<!--<input type="text" size="3" maxlength="4" name="conteudo"  autofocus="autofocus"      value="" />-->

<input type="text" size="3" maxlength="9" name="conteudo"  <?php echo $autofocado1;?>    value="" />

<input type="submit"  name="bt_gravarR1"  <?php echo $desabilitaSalvar;?>    value="Gravar danos" />
</td>
<td>
<select name="combo1" value="">  
   <?php for($i=1;$i<=$registrosCB1;$i++):
   echo "<option>".$matrizCombo1[$i]."</option>";
   endfor;?>
</select>
</td>	
</tr>
</table></td> 

<!--tabela da segunda repeticao--> 
<td> <table width="350" align="left"  bgcolor="#87f3cb">
<tr>
<td>Danos-->
<input type="text" size="3" maxlength="9" name="conteudo2"  <?php echo $autofocado2;?>       value="" />
<input type="submit"  name="bt_gravarR2"  <?php echo $desabilitaSalvar;?>    value="Gravar danos" />
</td>
<td>
 <select name="combo2" value="">  
    <?php for($i=1;$i<=$registrosCB2;$i++):
	echo "<option>".$matrizCombo2[$i]."</option>";
    endfor;?>
 </select>
 </td>	

</table></td>
</tr>
</table><!--FECHA A GRADE QUE CRIEI SO PARA INSERIR DURAS/EMBIONARIAS ETC-->
<?php endif;?>




<table width="800" align="left"  bgcolor="#8e9599">
<tr>
<td><input type="submit" name="manual" value="Ajuda" /></td>	
						
<td>

<input type="submit" name="bt_gravarGeral" value="GRAVAR GERAL" /></td>
<td><input type="submit"  name="auxiliares" value="Dados complementares" /></td>

<td align="center">Modo de cálculo:
<input type="radio" name="radiomodalidade" value="2X50"   <?php echo $cheque8;?>    />2X50
<input type="radio" name="radiomodalidade" value="2X100"  <?php echo $cheque9;?>    />2X100
<input type="radio" name="radiomodalidade" value="1X50"   <?php echo $cheque7;?>    />1X50  

<input type="text" size="3" maxlength="4" name="modex"      value="<?php echo $modex;?>" />

</td>

</tr>
</table>

 
 <table  border="1" width="800" bgcolor="white">
<?php 
	 //despeja a matriz todinha dentro do form
	 //echo("limite linhas $limiteLinhas limite colunas=$limiteColunas<br>");
	 for($i=0;$i<=5;$i++) 
	 {  
	    echo("<tr>");
		for($j=0;$j<=21;$j++)
		{
		    ?><td align="center"><?php
            if($j<21):
		        echo ($matrizResumo[$i][$j]."</td>");
			else:
		        echo ($matrizResumo[$i][37]."</td>");
			endif;	
		}
	    echo("</tr>");
	 }

?>

</table>
 <table  bgcolor="#b9bfbf" width="800">					

 
<!--
	
 <td>Imprimir modelo:<input type="submit" name="imprimir1" value="M1" /></td>
 
 
 <td><input type="submit" name="imprimir2" value="M2" /></td>
 <td><input type="submit" name="imprimir3" value="M3" /></td>
 <td><input type="submit" name="imprimir4" value="M4" /></td>
 <td><input type="submit" name="imprimir5" value="M5" /></td>
 <td><input type="submit" name="imprimir6" value="M6" /></td>
  <tr>
   <td><input type="submit" name="imprimir_habitual" value="imprimir modelo HABITUAL" /></td>
 </tr>
-->
 <td>Imprimir modelo:<input type="submit" name="bt_imprimirDCA" value="D-CA" />
 <td>Imprimir modelo:<input type="submit" name="bt_imprimirDCAG" value="GRÁFICO" />
 <select name="vias" >
   <option>1ªVia</option>
   <option>2ªVia</option>
  </select>
  Data do teste: <input type="text" size="10"  maxlength="10" name="dataTeste" value="<?php echo $dataTeste; ?>" />

 
 
 </td>
 </table>
<table width="800" bgcolor="#22ddd9">
<tr>
    <td> [Lote:<?php echo($lote)?> ]  [Espécie:<?php echo($especie)?>]   </td>
    <td>
	Amostra: <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b>
    <input type="submit" name="acharDigitada" value="<--Achar" />
	<input type="submit" name="acharRecua" value="<" />
	<input type="submit" name="acharAvanca" value=">" />
	<input type="submit" name="acharUltima" value=">|" />
	</td>
	<td>
	<?php
	if($finalizada=="s"):
	?>
		<input type="submit" name="reabre" value="Reabre" />
	<?php	
	else:
    ?>
		<input type="submit" name="fechar" value="Fechar" />Sim
		<input type="checkbox"   name="cb_fechar" />
	<?php	
	endif;
    ?>  			
	</td>
</tr>
</table>





 <br> Para mudar de uma amostra para outra, vai em RESULTADOS-->GERAL RESUMO e use o localizador que tem naquela tela.
 <br> Se quiser gravar, temperatura,concentração, horario de leitura clique em dados complementares.
 <br> Informe as R3 normalmente como Umidade na classe 3 e informe quantas R3 foram detectadas, no campo próprio.
 <br> Duras apenas informe quantas foram achadas e verdes/Embrionárias idem.Duras nao abate no PG e acima de 5% Abate no vigor(F.Krysanowski)
 <br> Esta tela permite calcular os danos das faixas 4 e 5 e tambem discriminar faixas de classes de vigor(muitoAlto, alto, normal)
 <br> Esta configurado para <?php echo $r3Duras;?> incluir as sementes R3 nas vigorosas. Para mudar acesse:Manutenção-->configurações 
 
 <br><?php  echo $alerta100;?>

 
 
 </form> 
 
 
 <?php 
 


endif; 
 
 
                   
 break;





	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;


?>